<?
  include ("../../../admin/config/cfg.php");
  global $cwlang, $cwLanguage;
 	sajax_init();

  //================ PAGE LOGIC ================
  if (count($_POST)>0) {
    $data=$_POST["res"];

    $entry=Array(
            "id" => $data["id"],
            "type" => $_POST["type"],
            "name" => $data["name"],
            "opcode" => $data["opcode"],
            "groups" => $_POST["group"] 
        );

    //insert the peer information
    if ($_POST["type"]==SIP_PROVIDER) {
      $entry["peer"] = Array (
              "username" => $data["username"],  
              "secret" => $data["password"],  
              "name" => $data["name"],  
              "host" => $data["host"],
              "port"=>  $data["port"],  //translate PORT to PORTS for an unkwown NuSoap Bug
              "mask" => $data["mask"],
              "nat"  => $data["nat"],
              "context" => $_POST["right"],
              "qualify" => "yes",
              "type" => "peer",
              "disallow" => "all",
              "callgroup" => "1",
              "insecure" => "very",
              "allow" => "ilbc;gsm;alaw;ulaw",
              //"cancallforward" => "yes",
              "pickupgroup" => "1"
          );
    }
    
    //insert the extensions
    if ($_POST["type"]==ISDN_PROVIDER) 
      $entry["exten"][]=array(                        
        "exten" => $data["opcode"],
        "priority" => 1,
        "type" => ISDN_RESOURCE_EXTENSION 
      );
    if ($_POST["type"]==SIP_PROVIDER) 
      $entry["exten"][]=array(                        
        "exten" => $data["opcode"],
        "priority" => 1,
        "type" => SIP_RESOURCE_EXTENSION
      );

    $ret=$asterisk->putResource($entry);
    //echo "<pre>"; print_r($entry);echo "</pre>";
    if ($err=$asterisk->getError()) $alert="<div class=\"AlertBad\">ERRORE: $err</div>";
    if ($ret>0) {
      $alert.="<div class=\"AlertGood\">".$cwlang["provider"]["alertDelGood"]."</div>";
      $_GET["id"]=$ret;
    } else $alert.="<div class=\"AlertBad\">".$cwlang["provider"]["alertDelBad"]."</div>";

    goToMainPage($alert);
  }
  
  //get the client informations
  if (isset($_GET["id"]) and $_GET["id"]!="") {
    $id=$_GET["id"];
    $ret=$asterisk->getResource($id,0);
    if ($err=$asterisk->getError()) die("Error: $err");
    $v=$ret[0];
    $id=$v["id"];
    $name=$v["name"];
    $groups=$v["groups"];
    $rights=$v["peer"]["context"];
    $opcode=$v["opcode"];
    $type=$v["type"];
    if ($type==ISDN_PROVIDER) $prot="<img src=\"$relBasePath/public/img/isdn.gif\" alt=\"isdn\" />";
    if ($type==SIP_PROVIDER)  $prot="<img src=\"$relBasePath/public/img/sip.gif\" alt=\"sip\" />";
    $title=$cwlang["provider"]["modTitle"].$name;
  } else $title=$cwlang["provider"]["newTitle"];
  
/*
  //check if exists the alias extension
  $alias=false;
  foreach($v["exten"] as $e) {
    if ($e["type"]==SIP_CLIENT_NICKNAME or $e["type"]==IAX_CLIENT_NICKNAME) $alias=$e["exten"];
  }
*/  
  
  
  //================ MAIN CONTENTS ================
  ob_start();
  ?>
  <div class="SectionHeader">
  <?=$alert?>
    <h1><?=$title?></h1>
    <h3>
      <a href="../" class="admin" ><?=$cwlang["provider"]["return"]?></a> 
    </h3>
  </div>

  <div id="basic_form">
    <form action="<?=$PHP_SELF?>?id=<?=$_GET["id"]?>" method="post">
    	<h2><?=$cwlang["provider"]["type"]?></h2>
      <p class="blockintro"><?=$cwlang["provider"]["typeDesc"]?></p>
      <table>
        <tr>
          <td width="50%">
            <div id="isdn_container" class="block button <?if ($type==ISDN_PROVIDER) echo 'blockover';?>" onmouseover="providerSwitch('isdn')" onmouseout="providerRestore()" onclick="providerCheck('isdn')">
              <input type="radio" name="type" value="<?=ISDN_PROVIDER?>" id="isdn" <?if ($type==ISDN_PROVIDER) echo "checked='checked'";?> /> 
              <label for="type"><?=$cwlang["provider"]["isdn"]?></label>
            </div>
          </td>
          <td>
            <div id="sip_container" class="block button <?if ($type==SIP_PROVIDER) echo 'blockover';?>" onmouseover="providerSwitch('sip')" onmouseout="providerRestore()" onclick="providerCheck('sip')">
              <input type="radio" id="sip" name="type" value="<?=SIP_PROVIDER?>" <?if ($type==SIP_PROVIDER) echo "checked='checked'";?> /> 
              <label for="type"><?=$cwlang["provider"]["sip"]?></label>
            </div>
          </td>
        </tr>
      </table>

      <div id="sip_form" style="display: <?if ($type==SIP_PROVIDER) echo 'block'; else echo 'none';?>" >
        <h3><?=$cwlang["provider"]["sipTitle"]?></h3>
        <p class="blockintro"><?=$cwlang["provider"]["sipDesc"]?></p>
        <div class="block">
          <dl>
            <dt class="required"><label for="res[name]"><?=$cwlang["provider"]["sipName"]?>:</label></dt>
            <dd><input type="text" size="25" maxlength="30" id="res[name]" name="res[name]" value="<?=$name?>" /></dd>
            <?=$cwlang["provider"]["sipNameHelp"]?> 
            <dt class="required"><label for="res[opcode]"><?=$cwlang["provider"]["sipCode"]?>:</label></dt>
            <dd><input type="text" size="25" maxlength="50" id="res[opcode]" name="res[opcode]" value="<?=$opcode?>" /></dd>
            <?=$cwlang["provider"]["sipCodeHelp"]?> 
          </dl>
        </div>
        <p class="blockintro"><?=$cwlang["provider"]["authTitle"]?></p>
        <div class="block">
          <dl>
            <dt class="required"><label for="res[username]"><?=$cwlang["provider"]["username"]?>:</label></dt>
            <dd><input type="text" size="25" maxlength="100" id="res[username]" name="res[username]" value="<?=$v["peer"]["username"]?>" /></dd>
            <dt class="required"><label for="res[password]"><?=$cwlang["provider"]["password"]?>:</label></dt>
            <dd><input type="password" size="25" maxlength="20" id="res[password]" name="res[password]" value="<?=$v["peer"]["secret"]?>" /></dd>
            <dt class="required"><label for="res[host]"><?=$cwlang["provider"]["ipAddress"]?>:</label></dt>
            <dd><input type="text" size="25" maxlength="20" id="res[host]" name="res[host]" value="<?=$v["peer"]["host"]?>" /></dd>
            <dt class="required"><label for="res[port]"><?=$cwlang["provider"]["port"]?>:</label></dt>
            <dd><input type="text" size="25" maxlength="20" id="res[port]" name="res[port]" value="<?=$v["peer"]["port"]?>" /></dd>
            <dt class="required"><label for="res[mask]"><?=$cwlang["provider"]["mask"]?>:</label></dt>
            <dd><input type="text" size="25" maxlength="20" id="res[mask]" name="res[mask]" value="<?=$v["peer"]["mask"]?>" /></dd>
            <dt class="required"><label for="res[mask]"><?=$cwlang["provider"]["nat"]?>?</label></dt>
            <dd>
              <input type="radio" id="res[nat]" name="res[nat]" value="yes" <?if ($v["peer"]["nat"]=='yes') echo "checked='checked'"; ?>/> <?=$cwlang["provider"]["Yes"]?>,
              <input type="radio" id="res[nat]" name="res[nat]" value="no" <?if ($v["peer"]["nat"]=='no') echo "checked='checked'"; ?>/> <?=$cwlang["provider"]["No"]?>
            </dd>
          </dl>
        </div>
<?      echo listRight($js, $rights);?>      
      </div>
      
      <div id="isdn_form" style="display: <?if ($type==ISDN_PROVIDER) echo 'block'; else echo 'none';?>">
        <h3><?=$cwlang["provider"]["isdnTitle"]?></h3>
        <p class="blockintro"><?=$cwlang["provider"]["isdnDesc"]?></p>
        <div class="block">
          <dl>
            <dt class="required"><label for="res[name]"><?=$cwlang["provider"]["isdnName"]?>:</label></dt>
            <dd><input type="text" size="25" maxlength="30" id="res[name]" name="res[name]" value="<?=$name?>" /></dd>
            <?=$cwlang["provider"]["isdnNameHelp"]?>
            <dt class="required"><label for="res[opcode]"><?=$cwlang["provider"]["isdnCode"]?>:</label></dt>
            <dd><input type="text" size="25" maxlength="50" id="res[opcode]" name="res[opcode]" value="<?=$opcode?>" /></dd>
            <?=$cwlang["provider"]["isdnCodeHelp"]?> 
          </dl>
        </div>
      </div>      

<?    echo listGroup(GROUP_OF_RESOURCE, $js, $groups);?>      

      <div class="action">
        <input type="hidden" name="res[id]" value="<?=$id?>" />
        <input type="image" src="<?=$relBasePath?>/public/img/<?=$cwLanguage?>/b-cancel.gif" alt="Cancel" onclick="location.href='../'; return false;"/>
        <input type="image" src="<?=$relBasePath?>/public/img/<?=$cwLanguage?>/b-save.gif" alt="Save" />
      </div>
    </form>
  </div>  
  <script>
        document.body.onload=function() {switchEnable(document.getElementById('<?if ($type==SIP_PROVIDER) echo 'isdn'; else echo 'sip';?>_form'), true, 1);}
  </script>
  
  <?
  $contents=ob_get_contents();
  ob_end_clean();

  //================ SIDEBAR ================
  ob_start(); 
  ?>
        <div class="Sidebar">
          <h1><?=$cwlang["provider"]["editSidebarTitle"]?></h1>
          <?=$cwlang["provider"]["editSidebarDesc"]?>
        </div>
  <?  
  $sidebar=ob_get_contents();
  ob_end_clean();

  //================ SETTINGS ================
 	sajax_handle_client_request();

  $smarty->assign("section", "resources");
  $smarty->assign("subsection", "");
  $smarty->assign("templateType", "TwoColLeft");  //OneCol, TwoColLeft, TwoColRight
  $smarty->assign("contents", $contents);
  $smarty->assign("sidebar", $sidebar);
  $smarty->assign("ajax", $js);
  $smarty->display('settings.tpl');
?>

